<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:binding="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    tools:ignore="RtlHardcoded">

    <data>

        <variable
            name="click"
            type="com.hongyegroup.cpt_pensonal.ui.fragment.PensonalCompanyInfoFragment.ClickProxy" />

    </data>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="198dp"
            android:scaleType="centerCrop"
            android:src="@drawable/pensonal_home_top_img" />

        <com.guadou.lib_baselib.font_text_view.TextViewSBold
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_35dp"
            android:layout_marginTop="@dimen/d_48dp"
            android:text="Join company"
            android:textAllCaps="true"
            android:textColor="@color/white"
            android:textSize="@dimen/d_24sp" />

        <com.guadou.lib_baselib.font_text_view.TextViewRegular
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/d_35dp"
            android:layout_marginTop="82dp"
            android:layout_marginRight="@dimen/d_35dp"
            android:text="Please choose to scan the code or enter the company number"
            android:textColor="#FFCAE5FF"
            android:textSize="16sp" />

        <FrameLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="right"
            android:layout_marginTop="30dp"
            android:layout_marginRight="@dimen/d_20dp">

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/d_3dp"
                android:src="@drawable/notification_white_icon" />

            <com.guadou.lib_baselib.font_text_view.TextViewSBold
                android:layout_width="11dp"
                android:layout_height="11dp"
                android:layout_marginLeft="@dimen/d_7dp"
                android:background="@drawable/shape_circle_red_bg"
                android:gravity="center"
                android:text="12"
                android:textColor="@color/white"
                android:textSize="7sp" />

        </FrameLayout>

        <View
            android:layout_width="match_parent"
            android:layout_height="41dp"
            android:layout_gravity="center_horizontal"
            android:layout_marginLeft="38dp"
            android:layout_marginTop="157dp"
            android:layout_marginRight="38dp"
            android:background="@drawable/shape_pensonal_home_blue_10round_bg" />


        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginTop="165dp"
            android:overScrollMode="never"
            android:scrollbars="none">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="75dp"
                    android:layout_marginLeft="@dimen/d_12dp"
                    android:layout_marginRight="@dimen/d_12dp"
                    android:background="@drawable/shadow_round_blue_bg3"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingBottom="7dp"
                    binding:clicks="@{click.gotoScanCodePage}">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_22dp"
                        android:src="@drawable/pensonal_scan_icon" />

                    <com.guadou.lib_baselib.font_text_view.TextViewRegular
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_14dp"
                        android:layout_weight="1"
                        android:text="Scan QR Code"
                        android:textColor="#FF3E4A5D"
                        android:textSize="@dimen/d_17sp" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="@dimen/d_24dp"
                        android:src="@drawable/personal_qr_code_icon" />

                </LinearLayout>

                <FrameLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                    <!-- 没有值   -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/d_75dp"
                        android:layout_marginLeft="@dimen/d_12dp"
                        android:layout_marginRight="@dimen/d_12dp"
                        android:background="@drawable/shadow_round_blue_bg3"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingBottom="7dp"
                        android:visibility="gone"
                        binding:clicks="@{click.gotoJoinByIdPage}">

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_22dp"
                            android:src="@drawable/pensonal_id_icon" />

                        <com.guadou.lib_baselib.font_text_view.TextViewRegular
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_14dp"
                            android:layout_weight="1"
                            android:text="Join by Org ID"
                            android:textColor="#FF3E4A5D"
                            android:textSize="@dimen/d_17sp" />

                        <ImageView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginRight="@dimen/d_24dp"
                            android:src="@drawable/more_black" />

                    </LinearLayout>

                    <!--  有值的   -->
                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/d_12dp"
                        android:layout_marginRight="@dimen/d_12dp"
                        android:background="@drawable/shadow_round_blue_bg3"
                        android:orientation="vertical">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="@dimen/d_70dp"
                            android:gravity="center_vertical"
                            android:orientation="horizontal"
                            binding:clicks="@{click.gotoJoinByIdPage}">

                            <ImageView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_22dp"
                                android:src="@drawable/pensonal_id_icon" />

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="@dimen/d_14dp"
                                android:layout_weight="1"
                                android:text="Join by Org ID"
                                android:textColor="#FF3E4A5D"
                                android:textSize="@dimen/d_17sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewSBold
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginRight="@dimen/d_24dp"
                                android:text="FTQQ1390"
                                android:textAllCaps="true"
                                android:textColor="#FF626F85"
                                android:textSize="@dimen/d_16sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="match_parent"
                            android:layout_height="1dp"
                            android:layout_marginLeft="@dimen/d_22dp"
                            android:layout_marginRight="@dimen/d_22dp"
                            android:background="#FFE8ECF6" />

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_22dp"
                            android:layout_marginTop="@dimen/d_22dp"
                            android:layout_marginRight="@dimen/d_22dp"
                            android:orientation="horizontal">

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:text="Shopping Mall"
                                android:textColor="#FF68768C"
                                android:textSize="17sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="120dp"
                                android:layout_height="wrap_content"
                                android:gravity="right"
                                android:text="JCube"
                                android:textColor="#FF68768C"
                                android:textSize="17sp" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_22dp"
                            android:layout_marginTop="@dimen/d_22dp"
                            android:layout_marginRight="@dimen/d_22dp"
                            android:orientation="horizontal">

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:text="Business Name"
                                android:textColor="#FF68768C"
                                android:textSize="17sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="120dp"
                                android:layout_height="wrap_content"
                                android:gravity="right"
                                android:text="H&amp;M"
                                android:textColor="#FF68768C"
                                android:textSize="17sp" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_22dp"
                            android:layout_marginTop="@dimen/d_22dp"
                            android:layout_marginRight="@dimen/d_22dp"
                            android:orientation="horizontal">

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:text="Contact No."
                                android:textColor="#FF68768C"
                                android:textSize="17sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="120dp"
                                android:layout_height="wrap_content"
                                android:gravity="right"
                                android:text="+65 59546265"
                                android:textColor="#FF68768C"
                                android:textSize="17sp" />

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/d_22dp"
                            android:layout_marginTop="@dimen/d_22dp"
                            android:layout_marginRight="@dimen/d_22dp"
                            android:orientation="horizontal">

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="0dp"
                                android:layout_height="wrap_content"
                                android:layout_weight="1"
                                android:text="Business Address"
                                android:textColor="#FF68768C"
                                android:textSize="17sp" />

                            <com.guadou.lib_baselib.font_text_view.TextViewRegular
                                android:layout_width="120dp"
                                android:layout_height="wrap_content"
                                android:gravity="right"
                                android:text="B1-230, JCube 238801"
                                android:textColor="#FF68768C"
                                android:textSize="17sp" />

                        </LinearLayout>

                        <View
                            android:layout_width="1dp"
                            android:layout_height="50dp" />

                    </LinearLayout>


                </FrameLayout>


            </LinearLayout>

        </ScrollView>

    </FrameLayout>


</layout>

